org.eclipse.jetty.client.security

## Class DigestAuthentication

- java.lang.Object
- - org.eclipse.jetty.client.security.DigestAuthentication

- All Implemented Interfaces:
    Authentication

      public class DigestAuthentication
      extends Object
      implements Authentication

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DigestAuthentication(Realm realm, Map details)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `newCnonce(HttpExchange exchange, Realm securityRealm, Map details)`
    `protected String` | `newResponse(String cnonce, HttpExchange exchange, Realm securityRealm, Map details)`
    `void` | `setCredentials(HttpExchange exchange)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DigestAuthentication

          public DigestAuthentication(Realm realm,
                              Map details)

  - ### Method Detail

    - #### setCredentials

          public void setCredentials(HttpExchange exchange)
                              throws IOException

      Specified by:
        `setCredentials` in interface `Authentication`
      Throws:
        `IOException`

    - #### newResponse

          protected String newResponse(String cnonce,
                           HttpExchange exchange,
                           Realm securityRealm,
                           Map details)

    - #### newCnonce

          protected String newCnonce(HttpExchange exchange,
                         Realm securityRealm,
                         Map details)

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.